# Class CIM_USBConnection
extends CIM_DeviceConnection

USBConnection associates a Device with the USBPort to which it is connected.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceConnection
|
+--CIM_USBConnection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | USBConnection associates a Device with the USBPort to which it is connected.
UMLPackagePath | string | CIM::Device::USB
Version | string | 2.6.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_USBConnection | CIM_USBPort
Dependent | CIM_USBConnection | CIM_USBDevice

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
NegotiatedDataWidth | uint32 | CIM_DeviceConnection
NegotiatedSpeed | uint64 | CIM_DeviceConnection

## Class Methods